com.h3c.util.persistence.cassandra.snapshotmgr

## Class DBstatus

- java.lang.Object
- - com.h3c.util.persistence.cassandra.snapshotmgr.DBstatus

-     public class DBstatus
      extends Object

  This is a POJO class to hold the database active write operations status. Backup application uses this class to get the DB status. This status information decide how longer the persistence layer needs more to drain out all of its operations before starting any DB backup.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBstatus(int activeTrCount, int activeTrTime, int activeTrTotalTime)` Constructor for datbase active write operations status.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTrCount()` Get the number of active transactions.
    `int` | `getTrTimeInMs()` Get the average time for a active transaction in milliseconds
    `int` | `getTrTotalTimeInMs()` Get the Total time for all the transactions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBstatus

          public DBstatus(int activeTrCount,
                  int activeTrTime,
                  int activeTrTotalTime)

      Constructor for datbase active write operations status.
      Parameters:
        `activeTrCount` - Number of active transactions
        `activeTrTime` - Average time for Single transaction.
        `activeTrTotalTime` - Total time for all the active transactions.

  - ### Method Detail

    - #### getTrCount

          public int getTrCount()

      Get the number of active transactions.
      Returns:
        The number of active transactions.

    - #### getTrTimeInMs

          public int getTrTimeInMs()

      Get the average time for a active transaction in milliseconds
      Returns:
        average transaction time in milliseconds.

    - #### getTrTotalTimeInMs

          public int getTrTotalTimeInMs()

      Get the Total time for all the transactions.
      Returns:
        Total active transaction time in milliseconds.

Copyright © 2014. All Rights Reserved.